summaryrefslogtreecommitdiff
path: root/qa/disk-work
diff options
context:
space:
mode:
Diffstat (limited to 'qa/disk-work')
-rwxr-xr-xqa/disk-work28
1 files changed, 28 insertions, 0 deletions
diff --git a/qa/disk-work b/qa/disk-work
new file mode 100755
index 0000000..4883b01
--- /dev/null
+++ b/qa/disk-work
@@ -0,0 +1,28 @@
+#! /bin/sh
+# helper script for testing totals for disk metrics
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+. $PCP_DIR/etc/pcp.conf
+
+KILL_PID=
+
+cleanup()
+{
+ if [ "X$KILL_PID" != X ]
+ then
+ $signal -s TERM $KILL_PID
+ KILL_PID=
+ fi
+}
+
+trap "cleanup; exit" 0 1 2 3 15
+signal=$PCP_BINADM_DIR/pmsignal
+
+while true
+do
+ ls -R / >/dev/null 2>/dev/null &
+ KILL_PID=$!
+ wait
+done